Visit Our UNIX and Linux User Community


Installing PHP on IBM/RS6000 AIX UNIX


 
Thread Tools Search this Thread
Top Forums UNIX for Advanced & Expert Users Installing PHP on IBM/RS6000 AIX UNIX
# 1  
Old 11-18-2002
Installing PHP on IBM/RS6000 AIX UNIX

I am attempting to install PHP on an IBM RS6000 AIX UNIX box. I am not getting very far and hope someone can point me in the right direction. Here is the message from the output:

checking for Apache 1.x module support via DSO through APXS

Sorry I was not able to successfully run APXS. Possible Reasons:

1. Perl is not installed.
2. Apache was not compiled with DSO support.
3. 'apxs' is not in your path.

The output of /usr/HTTPServer/bin/apxs follows

./tmp/src/php-4.2.3/configure[3308]: /usr/HTTPServer/bin/apxs - not found

configure error aborting.

This is the command that I used:
./tmp/src/php-4.2.3/configure --with-apxs=/usr/HTTPServer/bin/apxs

I also tried it this way and received the message of unable to execute:

./tmp/src/php-4.2.3/configure --with-apxs=/usr/HTTPServer/bin/

Perl is installed, 'apxs' is in the specified directory. I am also loged in as root. Any suggestions? Thank you.
# 2  
Old 11-19-2002
Hi. Please cut and paste the output of this command:

Code:
ls -l /usr/HTTPServer/bin

# 3  
Old 11-19-2002
Hi Neo,
Thank you for responding. Here is the output:
total 1384
-rwxrwxr-x 1 weblaw lawson 47095 Dec 7 2000 ab
-rwxrwxr-x 1 weblaw lawson 7354 Dec 7 2000 adminctl
-rwxrwxr-x 1 weblaw lawson 20992 Dec 7 2000 admrestart
-rwxrwxr-x 1 weblaw lawson 7061 Dec 7 2000 apachectl
-rwxrwxr-x 1 weblaw lawson 20900 Nov 19 08:39 apxs
-rwxrwxr-x 1 root system 20967 Nov 19 08:36 apxs.sav
-rwxrwxr-x 1 weblaw lawson 6454 Dec 7 2000 dbmmanage
-rwxrwxr-x 1 weblaw lawson 34978 Dec 7 2000 htpasswd
-rwxrwxr-x 1 weblaw lawson 447887 Dec 7 2000 httpd
-rwxrwxr-x 1 weblaw lawson 23162 Dec 7 2000 logresolve
-rwxrwxr-x 1 weblaw lawson 19329 Dec 7 2000 rotatelogs
-rwxrwxr-x 1 weblaw lawson 17886 Dec 7 2000 setupadm
-rwxrwxr-x 1 weblaw lawson 5244 Dec 7 2000 setuplang


I also found these comments in the apxs script:
## IMPORTANT NOTE FOR APXS USE ON AIX (ONLY):

##1. AIX requires that all dynamically linkable objects to EXPORT their public
## interfaces in a .exp file. This is required at the link step.
## If you do not have an .exp file, then you can generate one containing
## a single line with the name of the module. For example, in our sample
## module, example_module.c we generate an example_module.exp with
## 1 line -> example_module.
## For AIX only we have added an additional option -bE: <filename.exp>
## which is supplied as option on input to APXS script.

##2. Some 3rd party modules use a ./configure script with an APXS option. These
## configure scripts use the APXS script with a -q (query) option to get
## information on Compiler flags and Link flags. If the congfigure script
## relies on getting CFG_LDFLAGS_SHLIB from APXS script then the configure ## script will fail. The CFG_LDFLAGS_SHLIB in APXS script are not complete ## without the :bE options passed as input to APXS. Many configure script
## on AIX have an option to supply these Link Flags.

##3. NOTE: The httpd.exp file on IHS 1.3.6 is installed into
## /usr/HTTPServer/example_module
## but this script relies on httpd.exp being located in
##
## /usr/HTTPServer/libexec
## Please copy httpd.exp to /usr/HTTPServer/libexec before executing
## the APXS script.


for number one I am not sure I understand. Number two I changed the -q to -bE and for number three I copied httpd.exp to the specified directory. Still no luck.
# 4  
Old 11-20-2002
Did you compile the source yourself or are these executables pre-compiled binaries?
# 5  
Old 11-20-2002
Hi Neo,
They are pre-compiled binaries. Which I suspect is the problem. I have decided to take a different approach and use Linux. I have loaded Red hat 7.2 on a PC and will try using Apache and PHP there. IF I use Apache 2.0 do you know what version of PHP I should use? From what I can read it should be PHP 4.3. Thank you for your help.
# 6  
Old 11-20-2002
It is currently recommended that you do not run Apache 2.x in production with PHP. PHP.ORG recommends you run 1.3.X in production.... if this is your first webserver and you are not using some advanced features (like WEBDAV) then you should using the 1.3.X tree with PHP (until the Apache 2.0 bugs are squashed).
# 7  
Old 11-22-2002
Hi Neo,
Just thought I would let you know that I took your advice and installed the most recent version of Apache 1.3.x and also PHP4.2.3. They installed fine and work like a charm. Thank you for your help.

Previous Thread | Next Thread
Test Your Knowledge in Computers #20
Difficulty: Medium
India's first Super Computer, the PARAM 8000, was installed in 1991.
True or False?

10 More Discussions You Might Find Interesting

1. AIX

AIX 5.1 and RS6000

I've an old server 1996 RS6000 (Processor 604e) running AIX 5.1. It started up fine, booted up and connected on 10Mbit with my router. I used to be able to connect to it with telnet but not anymore. I know the IP is right but working with the smit tcpip options, looks like I've changed... (1 Reply)
Discussion started by: Devyn
1 Replies

2. AIX

Migrating from HP Unix to IBM AIX 6.1

HI , We are in process to migrate from UNIX to AIX 6.1 version . I need to understand differences between commands that are used in UNIX and AIX. I want to make sure AIX has all command options avaliable from HP Unix.If any mismatch it should be addressed . Since many commands are used it... (2 Replies)
Discussion started by: Perlbaby
2 Replies

3. AIX

Reinstalling AIX 4.3 on IBM RS6000

Hey guys, I'm a newbie in Unix world.. Currently in my office lies an old IBM RS6000 which hasn't been maintained for a very long time. The former admin has resigned and we don't have any documentation or whatsoever regarding the old machine. All I know that it is an RS6000 is because of what's... (4 Replies)
Discussion started by: arch4ng3l
4 Replies

4. UNIX and Linux Applications

debian boot failed on IBM RS6000 7025 F80

Hi everybody. I have an old IBM RS6000 Model 7025 F80 with AIX 4.3.3 installed with 2 primary scsi disks. I want to install linux (any flavor) on it. I downloaded and burned an iso image of debian (http://cdimage.debian.org/debian-cd/4.0_r4a/powerpc/iso-cd/debian-40r4a-powerpc-netinst.iso),... (3 Replies)
Discussion started by: pitagoras
3 Replies

5. Debian

Red Hat, GNU/Linux, IBM RS6000?

All - I have a stack of RS6000's that need a Linux install - Red Hat 5.2 to be exact. Any tips/pointers on how to get this done without an HMC? I can get the discs to boot, but the install hangs when asking for user interaction - like pressing 'ENTER' to skip disc media check. Any help greatly... (4 Replies)
Discussion started by: b1f30
4 Replies

6. AIX

Trying to hookup my notebook to my IBM 7046-B50 type rack RS6000/AIX system

Greetings to all: Gentlemen, I've tried extremely hard to hookup my notebook via the hyperterminal to my AIX box (IBM 7046-B50) by virtue of a cross-over cable. Don't know really whats going on ......to my surprise. The notebook says its hookedup successfully but shows no unix login prompt on... (6 Replies)
Discussion started by: mhatmi
6 Replies

7. AIX

VNC or X Emulator on RS6000 AIX 5.2

Hello everyone, I have just joined your forum even though I have been using it on and off for couple of months now. Up until now I have been able to find any information I needed by just browsing this site or performing a Google search, but now I'm stuck!. I was hoping you could help me with... (16 Replies)
Discussion started by: juniorG
16 Replies

8. AIX

New to AIX and got my hands on a RS6000 v.need help getting it on the network

So im fairly new to AIX and my knowledge is very, very limited but i got my hands on an RS6000 43P model and im trying to get it on the network so i can access it from work. I have pretty much tried everything i can/know how to do by reading up as much as i can but im still lost. I have the 43P... (2 Replies)
Discussion started by: IIIII
2 Replies

9. Programming

Good IDE for C++ on RS6000/AIX

I am looking for the above Can anyone point me to a reliable product, with available support in the forseeable future ? Seeker (0 Replies)
Discussion started by: Seeker
0 Replies

10. UNIX for Dummies Questions & Answers

HELP! UNIX AIX IBM C Compiler!

I currently have an IBM AIX UNIX MACHINE WITH VERSION 4 operating system. Already installed is a 3.1.4 version of the C Compiler that comes with the package. For the longest time this software ran fine until we changed our Company server and the IP addresses were changed. Now when the... (2 Replies)
Discussion started by: bobarob
2 Replies

Featured Tech Videos